<!-- This element set is a subset of the Mathematics DTD from ISO/IEC TR 9573-11:1992E and
     is intended for use with Microsoft Corporation SGML Author for Word.
 -->

<!-- The following set of declarations may be referred
     to using a public entity as follows:
<!ENTITY % MSEQU PUBLIC "-//ISO//ELEMENTS Mathematics DTD from ISO/IEC TR 9573-11:1992(E)//EN">
       %MSEQU;
 -->

<!ELEMENT       equation        - -     (f | df | dfg) >

<!--***************************************************************************
* Mathematics DTD from ISO/IEC TR 9573-11:1992(E)
****************************************************************************-->

<!-- (C) International Organization for Standardization 1988, 1989,
     1990, 1991.

     Permission to copy in any form is granted for use with conforming
     SGML systems and applications as defined in ISO 8879, provided
     this notice is included in all copies.
-->

<!ENTITY    %   f.oper  "mark|markref|break|sup|sub|sum|integral|
			 product|plex|frac|diff|sqrt|root|square|
			 power|pile|matrix|fence|middle|tensor|
			 mfn|box"                                           >

<!ENTITY    %   f.text  "#PCDATA|roman|italic|ov|vec"                       >
<!ENTITY    %   f.align "center|left|right"                                 >
<!ENTITY    %   f.pos   "post|pre|mid"                                      >
<!ENTITY    %   f.style "single|double|triple|dash|dots|bold"               >
<!ENTITY    %   f.type  "paren|bracket|angbrack|brace|bar|none"             >
<!ENTITY    %   f.ov    "dot|dotdot|dot3|dot4|tie|tiebrace|hat|
			 haczeck|acute|grave|cedil|ring|macron|
			 ogonek|dblac|breve|tilde|vec|rvec|dyad|
			 bar"                                               >
<!ENTITY    %   f.diff  "normal|partial"                                    >
<!ENTITY    %   f.func1 "and|antilog|arc|arccos|arcsin|arctan|arg|
			 colog|cos|cosh|cot|coth|csc|ctn|deg|det|
			 dim|exp|for|gcd|glb|hom|if|Im|ker|lg|lim|
			 ln|log|lub|max|min"                                >
<!ENTITY    %   f.func2 "mod|Re|sec|sin|sinh|tan|tanh"                      >

<!ENTITY        f.lpar  "<FENCE TYPE=paren>"              >
<!ENTITY        f.lsqu  "<FENCE TYPE=bracket>"            >
<!ENTITY        f.lbra  "<FENCE TYPE=brace>"              >
<!ENTITY        f.lbar  "<FENCE TYPE=bar>"                >

<!ENTITY        f.rpar  "</FENCE>"                                          >
<!ENTITY        f.rsqu  "</FENCE>"                                          >
<!ENTITY        f.rbra  "</FENCE>"                                          >
<!ENTITY        f.rbar  "</FENCE>"                                          >

<!ENTITY    %   idref   "IDREF"                                             >
<!ENTITY    %   idrefs  "IDREFS"                                            >

<!--        Elements    Min     Contents        Exceptions              -->
<!ELEMENT   f           - -     (%f.text;|%f.oper;)+                      >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   df          - -         (%f.text;|%f.oper;)+                  >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   df          id          ID              #IMPLIED
			align       (%f.align)      left
			hmove       CDATA           0
			num         CDATA           #IMPLIED              >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   dfg         - -         (df)+                                 >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   dfg         id          ID              #IMPLIED
			align       (%f.align)      left
			num         CDATA           #IMPLIED              >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   dfref       - O         EMPTY                                 >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   dfref       page        (yes|no)        no
			refid       %idrefs         #REQUIRED             >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   mark        - O         EMPTY                                 >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   mark        id          ID              #REQUIRED             >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   markref     - O         EMPTY                                 >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   markref     refid       %idref          #REQUIRED             >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   break       - O         EMPTY                                 >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   break       type        (required|optional) required          >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   box         - -         (%f.text;|%f.oper;)+                  >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   box         style       (%f.style;)     single                >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   ov          - -         (%f.text;|%f.oper;)+                  >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   ov          type        (%f.ov;)            bar
			pos         (above|below|mid)   above
			style       (%f.style;)         single            >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   (sub|sup)   - -         (%f.text;|%f.oper;)+                  >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   (sub|sup)   pos         (%f.pos;)       post                  >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   tensor      - -         (#PCDATA)                             >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   tensor      posf        (sup|sub)       sup
			suffix      CDATA           #REQUIRED             >

<!--        Elements        Min         Contents        Exceptions          -->
<!ELEMENT   (roman|italic)  - -         (#PCDATA)                             >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   vec         - -         (#PCDATA)                             >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   sum         - -         ((from|to)*, of?)                     >
<!ELEMENT   integral    - -         ((from|to)*, of?)                     >
<!ELEMENT   product     - -         ((from|to)*, of?)                     >
<!ELEMENT   plex        - -         (operator, (from|to)*, of?)           >
<!ELEMENT   (from|to|of)    - O     (%f.text;|%f.oper;)+                  >
<!ELEMENT   operator    - O         (%f.text;)                            >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   frac        - -         (numer, over)                         >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   frac        align       (%f.align;)     center                >
<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   numer       O O         (%f.text;|%f.oper;)+                  >
<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   over        - O         (%f.text;|%f.oper;)+                  >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   diff        - -         (diffof, by)                          >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   diff        type        (%f.diff;)      normal                >
<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   diffof      O O         (%f.text;|%f.oper;)+                  >
<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   by          - O         (%f.text;|%f.oper;)+                  >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   pile        - -         (above1, (above)+)                    >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   pile        align       (%f.align;)     center                >
<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   above1      O O         (%f.text;|%f.oper;)+                  >
<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   above       - O         (%f.text;|%f.oper;)+                  >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   matrix      - -         ((col)+)                              >
<!ELEMENT   col         - -         (above1, (above)+)                    >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   col         align       (%f.align;)     center                >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   sqrt        - -         (%f.text;|%f.oper;)+                  >
<!ELEMENT   root        - -         (degree, of)                          >
<!ELEMENT   degree      O O         (%f.text;|%f.oper;)+                  >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   square      - -         (%f.text;|%f.oper;)+                  >
<!ELEMENT   power       - -         (degree, of)                          >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   mfn         - -         ((fname, of)|(%f.text;|%f.oper;)+)    >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   mfn         type1       (%f.func1;)     #IMPLIED
			type2       (%f.func2;)     #IMPLIED              >
<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   fname       - O         (#PCDATA)                             >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   fence       - -         (%f.text;|%f.oper;)+                  >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   fence       type        (%f.type;)      paren
			open        CDATA           #IMPLIED
			close       CDATA           #IMPLIED
			style       (%f.style;)     single                >

<!--        Elements    Min         Contents        Exceptions          -->
<!ELEMENT   middle      - -         (%f.text;)                            >
<!--        Elements    Name        Value           Default             -->
<!ATTLIST   middle      style       (%f.style;)     single                >

